package com.itbaizhan.pojo;

public class Student {
    private Integer sid;
    private String name;
    private int age;
    private String sex;
//    一对一：跟另一对象的属性
    private Classes classes;

    public int getSid() {
        return sid;
    }

    public void setSid(int sid) {
        this.sid = sid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public Classes getClasses() {
        return classes;
    }

    public void setClasses(Classes classes) {
        this.classes = classes;
    }

    @Override
    public String toString() {
        return "Student{" +
                "sid=" + sid +
                ", name='" + name + '\'' +
                ", age=" + age +
                ", sex='" + sex + '\'' +
                ", classes=" + classes +
                '}';
    }
}
/*
* 1.pom.xml文件，resources里的配置文件
* 2.创建数据库里的表对应的类（pojo包）,get set toString
* 3.创建持久层接口，写方法（mapper包）
* 4.resources中写对应的映射文件（路径相同）,实现方法，实现SQL语句
* 5.将映射文件注册到核心配置文件中
* 6.在映射文件中实现具体方法
* 7.测试
* */
