package com.itbaizhan.mapper;

import com.itbaizhan.pojo.PageQuery;
import com.itbaizhan.pojo.User;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

//操作User实体类与数据库的交互
//SQL语句需要写在映射当中
public interface UserMapper {
    List<User> findAll();
    void add(User user );
    void update(User user);
    void delete(int userId);
    User findById(int userId);
    List<User> FindByUsernameLike(String username);
    List<User> FindPage(@Param("startIndex") int startIndex,
                        @Param("pageSize") int pageSize);
    List<User> FindPage2(PageQuery pageQuery);
    List<User> FindPage3(Map<String,Object> params);
    int findCount();
    void add2(User user);

}
